<?php
defined('ABSPATH') || die('Cheatin\' uh?');

$currentDir = dirname(__FILE__);

define('_PROD_MENU_NAME_', 'Starbox New');
define('_PROD_NAME_', 'starboxnew');
define('_PROD_NAMESPACE_', 'PROD');

defined('_PROD_HOWTO_URL_') || define('_PROD_HOWTO_URL_', 'https://starbox.squirrly.co/help');

/* Directories */
define('_PROD_ROOT_DIR_', realpath(dirname($currentDir)) . '/');
define('_PROD_CLASSES_DIR_', _PROD_ROOT_DIR_ . 'classes/');
define('_PROD_CONTROLLER_DIR_', _PROD_ROOT_DIR_ . 'controllers/');
define('_PROD_MODEL_DIR_', _PROD_ROOT_DIR_ . 'models/');
define('_PROD_THEME_DIR_', _PROD_ROOT_DIR_ . 'view/');
define('_PROD_ASSETS_DIR_', _PROD_THEME_DIR_ . 'assets/');

/* URLS */
define('_PROD_URL_', rtrim(plugins_url('', $currentDir), '/') . '/');
define('_PROD_VIEW_URL_', _PROD_URL_ . 'view/');
define('_PROD_ASSETS_URL_', _PROD_VIEW_URL_ . 'assets/');
define('_PROD_ASSETS_RELATIVE_URL_', ltrim(parse_url(_PROD_ASSETS_URL_, PHP_URL_PATH), '/'));
define('_PROD_THEME_URL_', _PROD_VIEW_URL_ . 'Themes/');


